Retrieves a specific retrospective_configuration by id
curl --request GET \
--url https://api.rootly.com/v1/retrospective_configurations/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "7c89331a-1063-453b-b2b4-9475d319b794",
"type": "retrospective_configurations",
"attributes": {
"kind": "skip",
"severity_ids": [
"8f5569cc-932c-462e-8398-9434d13c5bb2"
],
"incident_type_ids": [],
"group_ids": [],
"created_at": "2026-01-21T13:46:48.583-08:00",
"updated_at": "2026-01-21T13:46:48.583-08:00"
},
"relationships": {
"severities": {
"data": [
{
"id": "8f5569cc-932c-462e-8398-9434d13c5bb2",
"type": "severities"
}
]
},
"groups": {
"data": []
},
"incident_types": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: severities,groups
severities, groups, incident_types retrospective_configuration found
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/retrospective_configurations/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "7c89331a-1063-453b-b2b4-9475d319b794",
"type": "retrospective_configurations",
"attributes": {
"kind": "skip",
"severity_ids": [
"8f5569cc-932c-462e-8398-9434d13c5bb2"
],
"incident_type_ids": [],
"group_ids": [],
"created_at": "2026-01-21T13:46:48.583-08:00",
"updated_at": "2026-01-21T13:46:48.583-08:00"
},
"relationships": {
"severities": {
"data": [
{
"id": "8f5569cc-932c-462e-8398-9434d13c5bb2",
"type": "severities"
}
]
},
"groups": {
"data": []
},
"incident_types": {
"data": []
}
}
}
}